Page MenuHomePhabricator

Produce search error if deepcat search returns too many categories
Closed, ResolvedPublic

Description

If deepcat: feature gets more than CirrusSearchCategoryMax categories, it should not use them but instead ignore the keyword and produce search warning.

The warning would be:

"cirrussearch-feature-deepcat-toomany": "Deep category query returned too many categories",

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2018, 12:24 AM
Smalyshev triaged this task as Normal priority.Feb 27 2018, 12:25 AM

Change 414866 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/CirrusSearch@master] Produce warning and fail deepcat filter if too many categories

https://gerrit.wikimedia.org/r/414866

Change 414866 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Produce warning and fail deepcat filter if too many categories

https://gerrit.wikimedia.org/r/414866

Smalyshev closed this task as Resolved.Feb 27 2018, 10:03 PM

@Smalyshev do you know when this will be deployed?

Should be in the next deployment this Thursday.

@Smalyshev yay it is live :) I'm just surprised that there are still search results when I query for deepcategory:philosophy. Where do these articles come from?

Smalyshev added a comment.EditedMar 9 2018, 8:31 PM

@Lea_WMDE looks like it just runs empty query. Which is probably a bug. Filed T189331.

Hi @Smalyshev I just saw that the query for deepcategory:philosophy still returns "There were no results matching the query." and not the error message :/

Smalyshev reopened this task as Open.Apr 17 2018, 9:35 PM

Hmm weird looks like the message is somehow lost from the context. Not sure what is happening, I'll debug it.

Change 427287 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/CirrusSearch@master] Don't suppress warnings when keywords failed

https://gerrit.wikimedia.org/r/427287

Change 427287 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Don't suppress warnings when keywords failed

https://gerrit.wikimedia.org/r/427287

Smalyshev closed this task as Resolved.Apr 26 2018, 9:44 PM